> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Registry へのリンク



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /link_to_registry
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /link_to_registry:
    post:
      tags:
        - Registry
      summary: Registry へのリンク
      operationId: link_to_registry_link_to_registry_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAndLinkPayload'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAndLinkWeaveAssetRes'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    CreateAndLinkPayload:
      properties:
        aliases:
          default: []
          items:
            type: string
          title: Aliases
          type: array
        ref:
          minLength: 1
          title: Ref
          type: string
        target:
          $ref: '#/components/schemas/CreateAndLinkTarget'
      required:
        - ref
        - target
      title: CreateAndLinkPayload
      type: object
    CreateAndLinkWeaveAssetRes:
      properties:
        version_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version Index
      title: CreateAndLinkWeaveAssetRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CreateAndLinkTarget:
      properties:
        entity_name:
          minLength: 1
          title: Entity Name
          type: string
        portfolio_name:
          minLength: 1
          title: Portfolio Name
          type: string
        project_name:
          minLength: 1
          title: Project Name
          type: string
      required:
        - portfolio_name
        - entity_name
        - project_name
      title: CreateAndLinkTarget
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````